Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::ExecutorLocator Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::ExecutorLocator:

[legend]
Collaboration diagram for Components::ExecutorLocator:

[legend]
List of all members.

## Public Methods
Object | obtain_executor (in string name) raises (CCMException)
void | release_executor (in Object exc) raises (CCMException)
void | configuration_complete () raises (InvalidConfiguration)
Object | obtain_executor (in string name) raises (CCMException)
void | release_executor (in Object exc) raises (CCMException)
void | configuration_complete () raises (InvalidConfiguration)

## Member Function Documentation

void Components::ExecutorLocator::configuration_complete | ( |  | ) | raises (InvalidConfiguration)

void Components::ExecutorLocator::configuration_complete | ( |  | ) | raises (InvalidConfiguration)

Object Components::ExecutorLocator::obtain_executor | ( | in string | name | ) | raises (CCMException)

Object Components::ExecutorLocator::obtain_executor | ( | in string | name | ) | raises (CCMException)

void Components::ExecutorLocator::release_executor | ( | in Object | exc | ) | raises (CCMException)

void Components::ExecutorLocator::release_executor | ( | in Object | exc | ) | raises (CCMException)

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl